Bug 566221 - GFS2: Use correct GFP for alloc page on write
Summary: GFS2: Use correct GFP for alloc page on write
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: kernel
Version: 5.5
Hardware: All
OS: Linux
low
medium
Target Milestone: rc
: ---
Assignee: Steve Whitehouse
QA Contact: Red Hat Kernel QE team
URL:
Whiteboard:
: 565600 (view as bug list)
Depends On:
Blocks: 526947 5.5TechNotes-Updates
TreeView+ depends on / blocked
 
Reported: 2010-02-17 16:17 UTC by Steve Whitehouse
Modified: 2019-02-22 16:11 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Allocation of memory during the write system call can trigger memory reclaim. Without this patch, the VM may call back into the filesystem resulting in an oops. This problem is only seen in times of memory shortage on a node.
Clone Of:
Environment:
Last Closed: 2010-03-30 07:46:35 UTC
Target Upstream Version:


Attachments (Terms of Use)
Fix for RHEL5 (492 bytes, patch)
2010-02-17 16:25 UTC, Steve Whitehouse
no flags Details | Diff


Links
System ID Priority Status Summary Last Updated
Red Hat Knowledge Base (Solution) 26862 None None None 2019-02-22 16:11:19 UTC
Red Hat Product Errata RHSA-2010:0178 normal SHIPPED_LIVE Important: Red Hat Enterprise Linux 5.5 kernel security and bug fix update 2010-03-29 12:18:21 UTC

Description Steve Whitehouse 2010-02-17 16:17:56 UTC
This is from an upstream patch:

http://git.kernel.org/?p=linux/kernel/git/torvalds/linux-2.6.git;a=commitdiff;h=e4fefbac6c5bcb0388d95e83801210e7d81a071b

For some reason it missed being ported into RHEL5. Someone from support reported this bug and promised to open a bz for it. Since that hasn't happened, I'm opening one myself.

The patch is trivial, but quite important.

Comment 1 Steve Whitehouse 2010-02-17 16:21:34 UTC
Technical note added. If any revisions are required, please edit the "Technical Notes" field
accordingly. All revisions will be proofread by the Engineering Content Services team.

New Contents:
Allocation of memory during the write system call can trigger memory reclaim. Without this patch, the VM may call back into the filesystem resulting in an oops. This problem is only seen in times of memory shortage on a node.

Comment 2 RHEL Program Management 2010-02-17 16:24:57 UTC
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
release.

Comment 3 Steve Whitehouse 2010-02-17 16:25:18 UTC
Created attachment 394762 [details]
Fix for RHEL5

Comment 4 Steve Whitehouse 2010-02-17 17:27:34 UTC
*** Bug 565600 has been marked as a duplicate of this bug. ***

Comment 7 Jarod Wilson 2010-02-23 20:06:35 UTC
in kernel-2.6.18-190.el5
You can download this test kernel from http://people.redhat.com/jwilson/el5

Please update the appropriate value in the Verified field
(cf_verified) to indicate this fix has been successfully
verified. Include a comment with verification details.

Comment 12 errata-xmlrpc 2010-03-30 07:46:35 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2010-0178.html


Note You need to log in before you can comment on or make changes to this bug.